Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ifr_visitor_macro.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "tao/ORB_Constants.h"`

Include dependency graph for ifr_visitor_macro.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_IFR_VISITOR_WRITE_GUARD

## Define Documentation

#define TAO_IFR_VISITOR_WRITE_GUARD

| Value:
    ACE_WRITE_GUARD_THROW_EX (ACE_Lock, \
                                monitor, \
                                visitor.lock (), \
                                CORBA::INTERNAL ( \
                                  CORBA::SystemException::_tao_minor_code ( \
                                    TAO_GUARD_FAILURE, \
                                    0), \
                                  CORBA::COMPLETED_NO)); \
      ACE_TRY_CHECK